Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
cdn_audit_log_entry = client.cdn.audit_logs.get(
0,
)
print(cdn_audit_log_entry.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
cdnAuditLogEntry, err := client.CDN.AuditLogs.Get(context.TODO(), 0)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", cdnAuditLogEntry.ID)
}
curl --request GET \
--url https://api.gcore.com/cdn/activity_log/requests/{log_id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cdn/activity_log/requests/{log_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"user_id": 174,
"token_id": 3,
"client_id": 174,
"requested_at": "2021-07-07T09:02:29.871030Z",
"path": "/resources/1/purge",
"remote_ip_address": "1.2.3.4",
"host": "api.gcore.com",
"method": "POST",
"query_params": "{}",
"data": {
"paths": [
"/url-path-1",
"/url-path-2"
]
},
"status_code": 201,
"actions": []
}CDN activity logs
Get CDN activity logs details
Get information about CDN activity logs record.
GET
/
cdn
/
activity_log
/
requests
/
{log_id}
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
cdn_audit_log_entry = client.cdn.audit_logs.get(
0,
)
print(cdn_audit_log_entry.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
cdnAuditLogEntry, err := client.CDN.AuditLogs.Get(context.TODO(), 0)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", cdnAuditLogEntry.ID)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Activity logs record ID.
Response
Successful.
Activity logs record ID.
ID of the user who made the request.
Permanent API token ID with which the request was made.
ID of the client who made the request.
Date and time when the request was made.
Request URL.
IP address from which the request was made.
Host from which the request was made.
Request HTTP method.
Request parameters.
Request body.
Status code that is returned in the response.
State of a requested object before and after the request.
Show child attributes
Show child attributes
Was this page helpful?